<p-table #dt [scrollable]="true" [value]="accounts" selectionMode="single"
    (onRowSelect)="sendToAccounts($event.data)" [selection]="selectedAccount"
    (onRowUnselect)="sendToAccounts(null)" styleClass="p-datatable-striped"
    tableStyleClass="table-with-action-buttons">
    <ng-template pTemplate="caption">
      <div style="text-align:center">Accounts</div>
      <div class="d-flex justify-content-between align-items-center">
          <div class="d-flex align-items-center flex-grow-1">
              <p-checkbox value="Show closed" inputId="sc-accounts" [(ngModel)]="showClosedProjects" [binary]="true"
                  (onChange)="handleClosedAccountsVisibility()"></p-checkbox>
              <label for="sc-accounts" class="mt-2 ml-1 mr-1">Inactive</label>
          </div>
          <div class="flex-grow-1 text-center">
            <input type="text" pInputText size="50" placeholder="Search"
            (input)="dt.filter(getEventValue($event), 'name', 'contains')" class="form-control p-inputtext" />
          </div>
      </div>
  </ng-template>
    <ng-template pTemplate="header">
        <tr>
            <th class="rowStyle">Name</th>
        </tr>
    </ng-template>
    <ng-template pTemplate="body" let-account>
      <tr [pSelectableRow]="account">
        <td>{{account.name}} <p-tag *ngIf="!account.isActive" severity="danger" value="Inactive"/></td>
      </tr>
  </ng-template>
</p-table>
